## astyle 1.11.5

=== Makefile ===
# "Artistic Style" Makefile

CPPFLAGS = -O2 -W
OBJS = ASResource.o ASBeautifier.o ASFormatter.o astyle_main.o

astyle: $(OBJS)
	g++ $(CPPFLAGS) -o astyle  $(OBJS)

.cpp.o:
	g++ $(CPPFLAGS) -c $<
.SUFFIXES: .cpp .c .o

clean:
	rm *.o

## astyle 1.18

=== src/Makefile ===
# "Artistic Style" Makefile

CPPBASEFLAGS = -Wall -W -fno-rtti -fno-exceptions
OBJ =  astyle_main.o  ASBeautifier.o  ASFormatter.o  ASEnhancer.o  ASResource.o 
BIN = astyle

#check for debug info
ifdef DEBUG
CPPFLAGS = -DDEBUG -g $(CPPBASEFLAGS)
LDFLAGS =
else
CPPFLAGS = -DNDEBUG -O3 $(CPPBASEFLAGS)
LDFLAGS = -s
endif

astyle: $(OBJ)
	g++ $(LDFLAGS) -o $(BIN) $(OBJ)

.cpp.o:
	g++ $(CPPFLAGS) -c $<

# Targets that are not files
.PHONY: 
	all clean

all:
	$(BIN)

clean:
	rm -f $(OBJ)

## astyle 1.21

=== build/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../src
vpath %.h   ../src

# define macros
bindir = ../bin
objdir = obj
CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
CXX = g++
INSTALL=install -o $(USER) -g $(USER)

# install directory $(ipath)
# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr/bin
endif
ipath=$(prefix)

##################################################

# define compile options for each build
CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
CFLAGSd  = -g $(CBASEFLAGS)
CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGS) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -s -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared -s -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

clean:
	rm -f $(objdir)/*.o

install:
	@ $(INSTALL) -m 755 -d $(ipath)
	$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

uninstall:
	rm -f $(ipath)/astyle

## astyle 1.22

=== buildgcc/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../src
vpath %.h   ../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
#    JAVA_HOME = /usr/lib/jvm/java-1.5.0-sun-1.5.0.10
    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.00
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif

# define macros
bindir = ../bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = g++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
CFLAGSd  = -g $(CBASEFLAGS)
CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGS) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c -o $@ $<

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -s -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared -s -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared -s -o $(bindir)/$@ $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o
	
install:
	@ $(INSTALL) -m 755 -d $(ipath)
	$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

uninstall:
	rm -f $(ipath)/astyle

=== buildintel/Makefile ===
# Make file for Intel compiler on Linux
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../src
vpath %.h   ../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
#    JAVA_HOME = /usr/lib/jvm/java-1.5.0-sun-1.5.0.10
    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.00
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif

# define macros
bindir = ../bin
objdir = obj
ipath=$(prefix)/bin
# -gxx-name=g++-4.1 is temporary because intel does not work with gcc 4.2 compiler
CBASEFLAGS = -Wall -fno-rtti -fno-exceptions -gxx-name=g++-4.1
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = icpc
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
CFLAGSd  = -g $(CBASEFLAGS)
CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGS) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c -o $@ $<

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -static-intel -s -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -static-intel -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o
	
install:
	@ $(INSTALL) -m 755 -d $(ipath)
	$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

uninstall:
	rm -f $(ipath)/astyle

## astyle 1.23

=== buildintel/Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # NOTE for java compiles the environment variable $JAVA_HOME must be set
 # example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
 ifndef JAVA_HOME
-#    JAVA_HOME = /usr/lib/jvm/java-1.5.0-sun-1.5.0.10
-    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.00
+#   JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.06
+	JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.10
 endif
 
 # set prefix if not defined on the command line
@@ -28,8 +28,10 @@
 bindir = ../bin
 objdir = obj
 ipath=$(prefix)/bin
-# -gxx-name=g++-4.1 is temporary because intel does not work with gcc 4.2 compiler
-CBASEFLAGS = -Wall -fno-rtti -fno-exceptions -gxx-name=g++-4.1
+# -vec-report0 turns off BLOCK WAS VECTORIZED warnings. To disable vectorization use -mia32 instead.
+# -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
+# if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
+CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions -vec-report0 -no-multibyte-chars
 JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 CXX = icpc
 INSTALL=install -o $(USER) -g $(USER)
@@ -60,12 +62,12 @@
 # define object file rule (with the suffix) for each build
 
 # OBJ
-$(objdir)/%.o:  %.cpp  astyle.h
+$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
 	$(CXX) $(CFLAGS) -c -o $@ $<
 
 # OBJd
-$(objdir)/%_d.o:  %.cpp  astyle.h
+$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
 	$(CXX) $(CFLAGSd) -c -o $@ $<

## astyle 1.24

=== build/gcc/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.16
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = g++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
CFLAGSd  = -g $(CBASEFLAGS)
CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGS) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c -o $@ $<

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -s -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared -s -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared -s -o $(bindir)/$@ $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o
	
install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH); \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== build/intel/Makefile ===
# Make file for Intel compiler on Linux
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.16
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
# -vec-report0 turns off BLOCK WAS VECTORIZED warnings. To disable vectorization use -mia32 instead.
# -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
# if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions -vec-report0 -no-multibyte-chars
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = icpc
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
CFLAGSd  = -g $(CBASEFLAGS)
CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGS) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c -o $@ $<

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -static-intel -s -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -static-intel -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o
	
install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH); \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

## astyle 2.01

=== build/gcc/Makefile ===
--- 
+++ 
@@ -15,35 +15,52 @@
 # NOTE for java compiles the environment variable $JAVA_HOME must be set
 # example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
 ifndef JAVA_HOME
-    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.16
+    JAVA_HOME = /usr/lib/jvm/default-java
 endif
 
 # set prefix if not defined on the command line
 ifndef prefix
     prefix=/usr
 endif
-SYSCONF_PATH=$(prefix)/share/astyle
+SYSCONF_PATH=$(prefix)/share/doc/astyle
+# the path was changed in release 2.01
+# SYSCONF_PATH_OLD may be removed at the appropriate time
+SYSCONF_PATH_OLD=$(prefix)/share/astyle
 
 # define macros
 bindir = bin
 objdir = obj
 ipath=$(prefix)/bin
 CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
-JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+JAVAINCS   = -I$(JAVA_HOME)/include
 CXX = g++
 INSTALL=install -o $(USER) -g $(USER)
 
 ##################################################
 
 # define compile options for each build
-CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
-CFLAGSd  = -g $(CBASEFLAGS)
-CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
-CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
-CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
-CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
-CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
-CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)
+ifdef CFLAGS
+    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
+    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
+else 
+    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
+    CFLAGSd   = -g $(CBASEFLAGS)
+endif
+CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
+CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
+CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
+CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
+CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
+CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)
+
+# define link options
+ifdef LDFLAGS
+    LDFLAGSr   = $(LDFLAGS)
+    LDFLAGSd   = $(LDFLAGS)
+else
+    LDFLAGSr   = -s
+    LDFLAGSd   =
+endif
 
 # object files are built from the source list $(SRC)
 # a suffix is added for each build
@@ -61,7 +78,7 @@
 # OBJ
 $(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
-	$(CXX) $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGSr) -c -o $@ $<
 
 # OBJd
 $(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
@@ -104,25 +121,25 @@
 release:  astyle
 astyle:  $(OBJ)
 	@ mkdir -p $(bindir)
-	$(CXX) -s -o $(bindir)/$@ $^
+	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 debug:  astyled
 astyled:  $(OBJd)
 	@ mkdir -p $(bindir)
-	$(CXX) -o $(bindir)/$@ $^
+	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 shared:  libastyle.so
 libastyle.so:  $(OBJs)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -s -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 shareddebug:  libastyled.so
 libastyled.so:  $(OBJsd)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 static:  libastyle.a
@@ -140,13 +157,13 @@
 java:  libastylej.so
 libastylej.so:  $(OBJsj)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -s -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 javadebug:  libastylejd.so
 libastylejd.so:  $(OBJsjd)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 all:  release debug shared shareddebug static staticdebug
@@ -158,17 +175,24 @@
 
 cleanobj:
 	rm -f $(objdir)/*.o
-	
+
 install:
 	$(INSTALL) -m 755 -d $(ipath)
 	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
 
 	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
+	@mkdir -p $(SYSCONF_PATH)/html;
 	@for files in ../../doc/*.html  ../../doc/*.css; \
 	do \
-		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH); \
+		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
 	done
+	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(SYSCONF_PATH_OLD); \
+	fi
 
 uninstall:
 	rm -f $(ipath)/astyle
 	rm -rf $(SYSCONF_PATH)
+	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(SYSCONF_PATH_OLD); \
+	fi

=== build/intel/Makefile ===
--- 
+++ 
@@ -1,5 +1,16 @@
-# Make file for Intel compiler on Linux
+# Make file for Intel compiler on Linux or compatible OS
 # The license.html file describes the conditions under which this software may be distributed.
+#
+# Before running "make" the COMPILER environment variables must be set.
+# The file iccvars.sh should have been copied to /usr/sbin.
+# To set the environment variables "source" the compiler environment script:
+#     source iccvars.sh <arg>
+#            where <arg> is ia32, intel64, or ia64.
+# Refer to the install instructions for details.
+#
+# IF YOU GET AN ERROR MESSAGE:
+# *** No rule to make target `obj/astyle_main.o', needed by `astyle'.
+# SEE THE ABOVE INSTRUCTIONS.
 
 # list of source files
 SRC = astyle_main.cpp \
@@ -15,14 +26,17 @@
 # NOTE for java compiles the environment variable $JAVA_HOME must be set
 # example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
 ifndef JAVA_HOME
-    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.16
+    JAVA_HOME = /usr/lib/jvm/default-java
 endif
 
 # set prefix if not defined on the command line
 ifndef prefix
     prefix=/usr
 endif
-SYSCONF_PATH=$(prefix)/share/astyle
+SYSCONF_PATH=$(prefix)/share/doc/astyle
+# the path was changed in release 2.01
+# SYSCONF_PATH_OLD may be removed at the appropriate time
+SYSCONF_PATH_OLD=$(prefix)/share/astyle
 
 # define macros
 bindir = bin
@@ -32,21 +46,35 @@
 # -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
 # if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
 CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions -vec-report0 -no-multibyte-chars
-JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+JAVAINCS   = -I$(JAVA_HOME)/include
 CXX = icpc
 INSTALL=install -o $(USER) -g $(USER)
 
 ##################################################
 
 # define compile options for each build
-CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
-CFLAGSd  = -g $(CBASEFLAGS)
-CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
-CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
-CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
-CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
-CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
-CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)
+ifdef CFLAGS
+    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
+    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
+else 
+    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
+    CFLAGSd   = -g $(CBASEFLAGS)
+endif
+CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
+CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
+CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
+CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
+CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
+CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)
+
+# define link options
+ifdef LDFLAGS
+    LDFLAGSr   = $(LDFLAGS)
+    LDFLAGSd   = $(LDFLAGS)
+else
+    LDFLAGSr   = -static-intel -s
+    LDFLAGSd   = -static-intel
+endif
 
 # object files are built from the source list $(SRC)
 # a suffix is added for each build
@@ -64,7 +92,7 @@
 # OBJ
 $(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
-	$(CXX) $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGSr) -c -o $@ $<
 
 # OBJd
 $(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
@@ -107,25 +135,25 @@
 release:  astyle
 astyle:  $(OBJ)
 	@ mkdir -p $(bindir)
-	$(CXX) -static-intel -s -o $(bindir)/$@ $^
+	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 debug:  astyled
 astyled:  $(OBJd)
 	@ mkdir -p $(bindir)
-	$(CXX) -static-intel -o $(bindir)/$@ $^
+	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 shared:  libastyle.so
 libastyle.so:  $(OBJs)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 shareddebug:  libastyled.so
 libastyled.so:  $(OBJsd)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 static:  libastyle.a
@@ -143,13 +171,13 @@
 java:  libastylej.so
 libastylej.so:  $(OBJsj)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 javadebug:  libastylejd.so
 libastylejd.so:  $(OBJsjd)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 all:  release debug shared shareddebug static staticdebug
@@ -161,17 +189,24 @@
 
 cleanobj:
 	rm -f $(objdir)/*.o
-	
+
 install:
 	$(INSTALL) -m 755 -d $(ipath)
 	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
 
 	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
+	@mkdir -p $(SYSCONF_PATH)/html;
 	@for files in ../../doc/*.html  ../../doc/*.css; \
 	do \
-		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH); \
+		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
 	done
+	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(SYSCONF_PATH_OLD); \
+	fi
 
 uninstall:
 	rm -f $(ipath)/astyle
 	rm -rf $(SYSCONF_PATH)
+	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(SYSCONF_PATH_OLD); \
+	fi

=== debian/changelog ===
astyle (2.01-1) unstable; urgency=low

  * New upstream release. (Closes: #616710)
  * Update package description.
  * Update manpage.
  * Bump Standards-Version to 3.9.2
  * Convert debian/copyright to DEP5 format.
  * Switch to 3.0 (quilt) format.
  * Add VCS fields.
  * Avoid unneeded dependency on libgcc_s.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 12 May 2011 15:15:13 +0200

astyle (1.24-1) unstable; urgency=low

  * New upstream release.
    - Fix comma separated initialization bug (Closes: #569170)
  * Updated the manpage to reflect the new options.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 08 Apr 2010 20:40:00 +0200

astyle (1.23-1) unstable; urgency=low

  * New upstream release. (Closes: #522730)
  * Updated manpage to reflect new option.
  * Added NEWS file to warn about the changes.

 -- Margarita Manterola <marga@debian.org>  Fri, 07 Aug 2009 13:26:10 +0000

astyle (1.22-3) unstable; urgency=low

  * Fixed lintian warnings regarding hyphens in the manpage. 
  * Fixed the watch file for the new version. 

 -- Margarita Manterola <marga@debian.org>  Wed, 27 Aug 2008 14:52:19 +0000

astyle (1.22-2) unstable; urgency=low

  * Fixed bug in the manpage, mixing -V and -v.  Thanks to Martin Ferrari 
    for the report. (Closes: #496790)
  * Updated Standards-Version to 3.8.0. 
    + Added README.source pointing to dpatch's README.source.gz

 -- Margarita Manterola <marga@debian.org>  Wed, 27 Aug 2008 14:03:03 +0000

astyle (1.22-1) unstable; urgency=low

  * New upstream release
    + Fix incorrect identification of bracket type following a struct
      statement. (Closes: #112546)
  * Added new "links.html" document to debian/astyle.docs
  * Changed debian/rules to use the new "buildgcc" directory.
  * Corrected the doc-base section. 

 -- Margarita Manterola <marga@debian.org>  Sun, 27 Apr 2008 13:58:37 +0000

astyle (1.21-3) unstable; urgency=low

  * Fixed debian/rules so that "nostrip" is honored by the build process. 
    (Closes: #436484)
  * Fixed the clean rule to actually call make clean. 

 -- Margarita Manterola <marga@debian.org>  Tue, 11 Mar 2008 17:51:07 +0000

astyle (1.21-2) unstable; urgency=low

  * New fix_for_gcc_4.3.dpatch, provided by Cyril Brulebois.
    (Closes: #455426)
  * Fixed watch file.
  * Added Homepage field to the Source package.
  * Updated Standards-Version (no changes needed).
  * Fixed debian/rules to not ignore make clean errors.
  * Fixed debian/copyright to have a copyright statement and make it machine
    parseable.  Added the years for the upstream authors and the debian
    maintainers.
  * Updated the doc-base section to reflect the new menu structure.

 -- Margarita Manterola <marga@debian.org>  Tue, 11 Mar 2008 17:34:44 +0000

astyle (1.21-1) unstable; urgency=low

  * New upstream release
    + Do not apply fix_for_gcc_4.3.dpatch, since it's now applied upstream.
    + Fix formatting of empty blocks. (Closes: #397799)

 -- Margarita Manterola <marga@debian.org>  Fri, 22 Jun 2007 17:49:56 -0300

astyle (1.20.2-2) unstable; urgency=low

  * New upstream release (now in unstable). (Closes: #412333).
    + Fix incorrect formatting for an empty comment (Closes: #415565).
  * Added debian/patches/fix_for_gcc_4.3.dpatch, fixing the dependencies
    for gcc 4.3 (Closes: #413481). Thanks to Martin Michlmayr for the
    report and the patch.

 -- Margarita Manterola <marga@debian.org>  Sun, 15 Apr 2007 14:12:30 -0300

astyle (1.20.2-1) experimental; urgency=low

   * New upstream release. (Would close: #412333)
   * Changed copyright file, astyle is now LGPL.
   * Updated the manpage to the current version.

 -- Margarita Manterola <marga@debian.org>  Tue, 13 Mar 2007 00:23:12 -0300 

astyle (1.18-1) unstable; urgency=low

  * New upstream release (Closes: #375760).
    + Doesn't remove leading spaces from multi-line comments.
      (Closes: #201655)
    + Fixed indentation problem with ending }; of class statements.
      (Closes: #270999)
    + Fixed extra space that was sometimes added when pad operators was
      used. (Closes: #118203)
    + Fixed problems detecting some keywords as "lock" or "get".
      (Closes: #355171)
  * Updated debhelper compatibility to level 5, no changes needed.
  * Updated Standards-Version to 3.7.2, no changes needed.
  * Updated the watch file.
  * Dropped 100_g++-3.4.dpatch, since it has been applied upstream.
  * Dropped 200_long_lines.dpatch, since it has been applied upstream.

 -- Margarita Manterola <marga@debian.org>  Sat, 15 Jul 2006 19:32:20 -0300

astyle (1.15.3-5) unstable; urgency=low

  * New upload to trigger a recompile due to the C++ transition.
  * Fixed debian/rules to comply better with policy. 
  * Updated debian/control to the latest policy version.

 -- Margarita Manterola <debian@marga.com.ar>  Tue,  4 Oct 2005 11:13:02 -0300

astyle (1.15.3-4) unstable; urgency=low

  * Added patch to support longer lines (closes: #187171).
  * Fixed typo in the manpage (closes: #238693).
  * Added patch to support g++-3.4 (closes: #266663).
  * Added dpatch to work with patches.
  * Fixed the watch and control files to match present policy.
  * New Maintainer - Adopting package (closes: #266457).

 -- Margarita Manterola <debian@marga.com.ar>  Thu, 21 Oct 2004 12:09:00 -0300

astyle (1.15.3-3) unstable; urgency=low

  * built with latest g++ 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 14 Jun 2003 11:27:20 -0700

astyle (1.15.3-2) unstable; urgency=low

  * the 'no new functionality' release
  * debian/watch: trivial change to handle sf.net brokeness 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 17:26:27 -0700

astyle (1.15.3-1) unstable; urgency=low

  * New upstream release
  * Note that the license has changed:
    was: (dual) GPL + Artistic
    is:  GPL only

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 23 Mar 2002 17:40:03 -0800

astyle (1.14.1-5) unstable; urgency=low

  * added a watch file 

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 26 Dec 2001 12:38:03 -0800



=== debian/control ===
Source: astyle
Section: devel
Priority: optional
Build-Depends: debhelper (>= 5.0)
Maintainer: Margarita Manterola <marga@debian.org>
Uploaders: Matteo Cypriani <mcy@lm7.fr>
Standards-Version: 3.9.2
Homepage: http://astyle.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/astyle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/astyle.git

Package: astyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code indenter for C++/C/Java/C# source code
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the command line tool.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Avoid unneeded library dependencies
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS += -Wl,--as-needed

# Flags for debugging, and original flags from the program.
CXXFLAGS = -g -Wall -Wno-sign-compare

# Flags for optimization
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CXXFLAGS += -O0
else
    CXXFLAGS += -O2
endif

# Target for stripping / not stripping
BUILD_TARGET = astyle
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    BUILD_TARGET = astyled
endif

# The Makefile erroneously calls CPPFLAGS the CXXFLAGS
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C build/gcc $(BUILD_TARGET) CFLAGS="$(CXXFLAGS)"
	[ "$(BUILD_TARGET)" = "astyle" ] || mv bin/$(BUILD_TARGET) bin/astyle
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f build/gcc/Makefile ] || $(MAKE) -C build/gcc clean
	rm -rf build/gcc/obj
	rm -rf bin
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## astyle 2.03

=== build/gcc/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
+      ASLocalizer.cpp \
       ASResource.cpp
 
 # source directories

=== build/intel/Makefile ===
--- 
+++ 
@@ -2,10 +2,8 @@
 # The license.html file describes the conditions under which this software may be distributed.
 #
 # Before running "make" the COMPILER environment variables must be set.
-# The file iccvars.sh should have been copied to /usr/sbin.
 # To set the environment variables "source" the compiler environment script:
-#     source iccvars.sh <arg>
-#            where <arg> is ia32, intel64, or ia64.
+#     source /opt/intel/bin/iccvars.sh intel64
 # Refer to the install instructions for details.
 #
 # IF YOU GET AN ERROR MESSAGE:
@@ -17,6 +15,7 @@
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
+      ASLocalizer.cpp \
       ASResource.cpp
 
 # source directories
@@ -42,10 +41,12 @@
 bindir = bin
 objdir = obj
 ipath=$(prefix)/bin
-# -vec-report0 turns off BLOCK WAS VECTORIZED warnings. To disable vectorization use -mia32 instead.
-# -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
+
 # if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
-CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions -vec-report0 -no-multibyte-chars
+# the following were REMOVED in release 2011.1.107
+#     -vec-report0 turns off BLOCK WAS VECTORIZED warnings. To disable vectorization use -mia32 instead.
+#     -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
+CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions
 JAVAINCS   = -I$(JAVA_HOME)/include
 CXX = icpc
 INSTALL=install -o $(USER) -g $(USER)
@@ -72,8 +73,8 @@
     LDFLAGSr   = $(LDFLAGS)
     LDFLAGSd   = $(LDFLAGS)
 else
-    LDFLAGSr   = -static-intel -s
-    LDFLAGSd   = -static-intel
+    LDFLAGSr   = -s
+    LDFLAGSd   =
 endif
 
 # object files are built from the source list $(SRC)

=== debian/changelog ===
astyle (2.03-1) unstable; urgency=low

  * New upstream release. (Closes: #707889, #631966, LP: #1049606)
  * Update manpage.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 15 May 2013 00:10:00 -0400

astyle (2.02.1-2) unstable; urgency=low

  * Upload to unstable
  * manpage: highlight buggy --preserve-date (Closes: #686317)
  * Fix debian/changelog

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 05 May 2013 16:48:47 -0400

astyle (2.02.1-1) experimental; urgency=low

  [ Matteo Cypriani ]
  * New upstream release. (Closes: #649616)
  * Update manpage.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9.
  * debian/rules:
    + add CPPFLAGS to CFLAGS as expected by upstream build system.
    + add commented out DH_OPTIONS=-v for easy verbose build.
  * debian/copyright: update Format and dates.

  [ Thomas Preud'homme ]
  * Switch to a dh style rules file to provide build-{arch,indep} targets.
  * Fix the package to be able to build twice in a row.
  * Call make clean unconditionally in override_dh_auto_clean.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 14 Jan 2013 17:52:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: astyle
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 5.0)
+Build-Depends: debhelper (>= 9)
 Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Matteo Cypriani <mcy@lm7.fr>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://astyle.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/astyle.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/astyle.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

# Avoid unneeded library dependencies
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS += -Wl,--as-needed

# Target for stripping / not stripping
BUILD_TARGET = astyle
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    BUILD_TARGET = astyled
endif

# For hardening options
CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C build/gcc $(BUILD_TARGET)
	[ "$(BUILD_TARGET)" = "astyle" ] || mv bin/$(BUILD_TARGET) bin/astyle

override_dh_auto_clean:
	$(MAKE) -C build/gcc clean
	[ ! -d build/gcc/obj ] || rmdir build/gcc/obj
	[ ! -d bin ] || rmdir bin
